import 'package:krow_domain/krow_domain.dart';
import '../repositories/shifts_repository_interface.dart';

class AcceptShiftUseCase {
  final ShiftsRepositoryInterface repository;

  AcceptShiftUseCase(this.repository);

  Future<void> call(String shiftId) async {
    return repository.acceptShift(shiftId);
  }
}
